Subject: Re: [PATCH] rhashtable: Better error message on allocation failure

From: Jakub Kicinski <[email-masked]>
Date: Tue, 28 Nov 2023 17:35:36 -0800

On Sat, 25 Nov 2023 15:23:49 +0000 David Laight wrote:
> > +	new_tbl = bucket_table_alloc(ht, size, GFP_KERNEL|__GFP_NOWARN);
> > +	if (new_tbl == NULL) {
> > +		WARN("rhashtable bucket table allocation failure for %ps",  
> 
> Won't WARN() be a panic on systems with PANICK_ON_WARN set?

Yes, that's problematic :(
Let's leave out the GFP_NOWARN and add a pr_warn() instead of
the WARN()?